%{?python_enable_dependency_generator}

Name:           pungi
Version:        4.2.1
Release:        1%{?dist}
Epoch:          1000
Summary:        Distribution compose tool

License:        GPLv2
URL:            https://pagure.io/pungi
Source0:        https://pagure.io/releases/%{name}/%{name}-%{version}.tar.bz2

Patch0: 0001-Set-repository-gpgkey-option.patch
Patch1: 0002-Verify-downloaded-packages.patch

BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-productmd >= 1.17
BuildRequires:  python3-kobo-rpmlib
BuildRequires:  createrepo_c
BuildRequires:  python3-lxml
BuildRequires:  python3-kickstart
BuildRequires:  python3-rpm
BuildRequires:  python3-dnf
BuildRequires:  python3-multilib
BuildRequires:  python3-six
BuildRequires:  git-core
BuildRequires:  python3-jsonschema
BuildRequires:  python3-libcomps
BuildRequires:  python3-kobo
BuildRequires:  python3-koji
BuildRequires:  lorax
BuildRequires:  python3-PyYAML
BuildRequires:  python3-libmodulemd >= 2.8.0
BuildRequires:  python3-gobject
BuildRequires:  python3-createrepo_c
BuildRequires:  python3-dogpile-cache
BuildRequires:  python3-parameterized

#deps for doc building
BuildRequires:  python3-sphinx, texlive-collection-fontsrecommended
BuildRequires:  texlive-cmap, texlive-babel-english, texlive-fancyhdr
BuildRequires:  texlive-titlesec, texlive-framed, texlive-threeparttable
BuildRequires:  texlive-mdwtools, texlive-wrapfig, texlive-parskip, texlive-upquote
BuildRequires:  texlive-multirow, texlive-capt-of, texlive-eqparbox
BuildRequires:  tex(fncychap.sty)
BuildRequires:  tex(tabulary.sty)
BuildRequires:  tex(needspace.sty)
BuildRequires:  latexmk

Requires:       python3-kobo-rpmlib
Requires:       python3-kickstart
Requires:       createrepo_c
Requires:       koji >= 1.10.1-13
Requires:       python3-koji-cli-plugins
Requires:       isomd5sum
Requires:       genisoimage
Requires:       git
#Requires:       libguestfs-tools-c
Requires:       python3-dnf
Requires:       python3-multilib
Requires:       python3-libcomps
Requires:       python3-koji
Requires:       python3-libmodulemd >= 2.8.0
Requires:       python3-gobject
Requires:       python3-createrepo_c
Requires:       python3-PyYAML

Requires:       python3-%{name} = %{epoch}:%{version}-%{release}

BuildArch:      noarch

%description
A tool to create anaconda based installation trees/isos of a set of rpms.

%package utils
Summary:    Utilities for working with finished composes
Requires:   pungi = %{epoch}:%{version}-%{release}
Requires:   python3-fedmsg

%description utils
These utilities work with finished composes produced by Pungi. They can be used
for creating unified ISO images, validating config file or sending progress
notification to Fedora Message Bus.

%package -n python3-%{name}
Summary:    Python 3 libraries for pungi

%description -n python3-%{name}
Python library with code for Pungi. This is not a public library and there are
no guarantees about API stability.


%prep
%autosetup -p1

%build
%py3_build
cd doc
make latexpdf SPHINXBUILD=/usr/bin/sphinx-build-3
make epub     SPHINXBUILD=/usr/bin/sphinx-build-3
make text     SPHINXBUILD=/usr/bin/sphinx-build-3
make man      SPHINXBUILD=/usr/bin/sphinx-build-3
gzip _build/man/pungi.1

%install
%py3_install
%{__install} -d %{buildroot}/var/cache/pungi
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -m 0644 doc/_build/man/pungi.1.gz %{buildroot}%{_mandir}/man1

rm %{buildroot}%{_bindir}/pungi

%check
nosetests-3 --exe

%files
%license COPYING GPL
%doc AUTHORS
%doc doc/_build/latex/Pungi.pdf doc/_build/epub/Pungi.epub doc/_build/text/*
%{_bindir}/%{name}-koji
%{_bindir}/%{name}-gather
%{_bindir}/comps_filter
%{_bindir}/%{name}-make-ostree
%{_mandir}/man1/pungi.1.gz
%{_datadir}/pungi
/var/cache/pungi

%files -n python3-%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%files utils
%{python3_sitelib}/%{name}_utils
%{_bindir}/%{name}-create-unified-isos
%{_bindir}/%{name}-config-dump
%{_bindir}/%{name}-config-validate
%{_bindir}/%{name}-fedmsg-notification
%{_bindir}/%{name}-notification-report-progress
%{_bindir}/%{name}-orchestrate
%{_bindir}/%{name}-patch-iso
%{_bindir}/%{name}-compare-depsolving
%{_bindir}/%{name}-wait-for-signed-ostree-handler

%changelog
* Sat May 16 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-pungi

* Sat May 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 97577c1
- version 4.2.1-1

* Mon Apr 06 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3ee540f
- Update to pungi-4.2.1

* Thu Feb 27 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 045f5eb
- update-sources: add warning about fetching sources

* Thu Feb 27 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 99173a2
- Use Pungi upstream distfiles mirror

* Fri Feb 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 38f6880
- get-sources: use Qubes distfiles repository

* Mon Jan 13 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e588e01
- version 4.1.41-2

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4f121a0
- Add options for excluding debug and sources pacakges

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5440713
- Pass instead of continuing while package verification

* Mon Dec 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0c5bb80
- Update patches for RPM signature check

* Mon Dec 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 89b7571
- travis: switch dom0 to Fedora 31

* Sat Dec 21 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f27916f
- Update to version 4.1.41

* Sun Dec 15 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 86f0108
- gather: handle metalink in kickstart repos

* Tue Dec 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a05d64e
- spec: drop R libguestfs-tools-c

* Sat Dec 07 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 15b0b99
- Add upstream patch for specifying tempdir

* Sun Dec 01 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ab2025
- Update to version 4.1.40

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4d0af22
- travis: switch to bionic

* Fri Apr 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 727ac27
- version 4.1.36-1

* Fri Apr 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d68f95
- Drop patches applied upstream

* Fri Apr 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b88cd08
- rpm: update dependencies

* Fri Apr 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 26d64cd
- Download source tarball instead committing directly to git

* Sat Mar 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8808f92
- version 4.1.32-3

* Sat Mar 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15a8241
- Fix build with SOURCE_DATE_EPOCH set

* Sat Mar 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0548206
- version 4.1.32-2

* Sat Mar 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 93b410b
- travis: initial

* Sun Jan 27 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cf25378
- Add upstream patch for rootfs-size

* Tue Jan 08 2019 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 202e1be
- Update to pungi-4.1.32

* Mon Dec 31 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 79da538
- Create spec.in

* Mon Dec 31 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 2f568b1
- Update to pungi-4.1.31 and rework patches

* Mon Dec 17 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - e6fdbf2
- Initial commit

